<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/WrittenNoteData.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/df8/_written_note_data_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">WrittenNoteData.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/df8/_written_note_data_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d67/class_written_note_data.html">WrittenNoteData</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#aae383a18044d275525914fc9c438d280">    3</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>  <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#aae383a18044d275525914fc9c438d280">m_WritingImplement</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#a3728e829fbe2fe5b1891cab8c5e77b56">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>  <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#a3728e829fbe2fe5b1891cab8c5e77b56">m_Paper</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="comment">//protected int         m_Handwriting = -1;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span>    <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">m_SimpleText</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#a63761925dbff66be5d551d8c980e51f8">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a63761925dbff66be5d551d8c980e51f8">WrittenNoteData</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> parent)</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#a3f0e5e28bf4859768a9f45c8cbcb82a4">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a3f0e5e28bf4859768a9f45c8cbcb82a4">OnRPC</a>( <a class="code hl_class" href="../../df/d11/class_player_identity.html">PlayerIdentity</a> sender, <span class="keywordtype">int</span> rpc_type, <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a>  ctx)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        Param1&lt;string&gt; param = <span class="keyword">new</span> Param1&lt;string&gt;(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="comment">//sent from server, executed on client</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span> (rpc_type == <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.RPC_WRITE_NOTE)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <span class="keywordflow">if</span> (ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(param))</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#ad31077020a85d8fc302f7ee5335aedff">SetNoteText</a>(param.param1);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetMission().SetNoteMenu(<a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetUIManager().EnterScriptedMenu(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a>, <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu())); <span class="comment">//NULL means no parent</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> pen;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> paper;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="comment">//int handwriting;</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a9e65c58a8dfd3070c00724f98a9e389a">GetNoteInfo</a>(pen,paper))</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetMission().GetNoteMenu().InitNoteWrite(paper,pen,<a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">m_SimpleText</a>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="comment">//sent from client (NoteMenu), executed on server</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> (rpc_type == <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.RPC_WRITE_NOTE_CLIENT)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">if</span> (ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(param))</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <span class="keywordtype">string</span> old_string = <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">m_SimpleText</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#ad31077020a85d8fc302f7ee5335aedff">SetNoteText</a>(param.param1);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a07f3fe9f897d86aa545ef82d992db7dd">DepleteWritingImplement</a>(<a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#aae383a18044d275525914fc9c438d280">m_WritingImplement</a>,old_string,<a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">m_SimpleText</a>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> (rpc_type == <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.RPC_READ_NOTE)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">if</span> (ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(param))</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#ad31077020a85d8fc302f7ee5335aedff">SetNoteText</a>(param.param1);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetMission().SetNoteMenu(<a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetUIManager().EnterScriptedMenu(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a>, <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu())); <span class="comment">//NULL means no parent</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetMission().GetNoteMenu().InitNoteRead(<a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">m_SimpleText</a>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#a0a7bd1a5fecae8c39611251cd954f1bd">   58</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a0a7bd1a5fecae8c39611251cd954f1bd">InitNoteInfo</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> pen = null, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> paper = null)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#aae383a18044d275525914fc9c438d280">m_WritingImplement</a> = pen;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#a3728e829fbe2fe5b1891cab8c5e77b56">m_Paper</a> = paper;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="comment">//m_Handwriting = handwriting;</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#a9e65c58a8dfd3070c00724f98a9e389a">   65</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a9e65c58a8dfd3070c00724f98a9e389a">GetNoteInfo</a>(out <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> pen, out <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> paper)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        pen = <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#aae383a18044d275525914fc9c438d280">m_WritingImplement</a>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        paper = <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#a3728e829fbe2fe5b1891cab8c5e77b56">m_Paper</a>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="comment">//handwriting = m_Handwriting;</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">return</span> pen &amp;&amp; paper;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#a7d3a4265a6da340e92178258307e1370">   73</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a7d3a4265a6da340e92178258307e1370">GetNoteText</a>()</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">m_SimpleText</a>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#ad31077020a85d8fc302f7ee5335aedff">   78</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#ad31077020a85d8fc302f7ee5335aedff">SetNoteText</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_variable" href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">m_SimpleText</a> = MiscGameplayFunctions.SanitizeString(text);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d4/d67/class_written_note_data.html#a07f3fe9f897d86aa545ef82d992db7dd">   83</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a07f3fe9f897d86aa545ef82d992db7dd">DepleteWritingImplement</a>(notnull <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> pen,<span class="keywordtype">string</span> old_text,<span class="keywordtype">string</span> new_text)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordtype">float</span> qty_per_char = 1.0;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordtype">float</span> decrease = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>((new_text.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>() - old_text.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>()),0,pen.GetQuantityMax());</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        pen.AddQuantity(-(qty_per_char * decrease));</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>}</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment">//-----------------------</span></div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03101">DayZGame.c:3101</a></div></div>
<div class="ttc" id="a_e_r_p_cs_8c_html_a6ce2d98a3b8fbdba5b450abf2d6eab37"><div class="ttname"><a href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a></div><div class="ttdeci">ERPCs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d66/_e_r_p_cs_8c_source.html#l00001">ERPCs.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_identity_html"><div class="ttname"><a href="../../df/d11/class_player_identity.html">PlayerIdentity</a></div><div class="ttdoc">Player description.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00325">gameplay.c:326</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclass_written_note_data_html"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html">WrittenNoteData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00001">WrittenNoteData.c:2</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a07f3fe9f897d86aa545ef82d992db7dd"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a07f3fe9f897d86aa545ef82d992db7dd">WrittenNoteData::DepleteWritingImplement</a></div><div class="ttdeci">void DepleteWritingImplement(notnull ItemBase pen, string old_text, string new_text)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00083">WrittenNoteData.c:83</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a0a7bd1a5fecae8c39611251cd954f1bd"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a0a7bd1a5fecae8c39611251cd954f1bd">WrittenNoteData::InitNoteInfo</a></div><div class="ttdeci">void InitNoteInfo(ItemBase pen=null, ItemBase paper=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00058">WrittenNoteData.c:58</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a3728e829fbe2fe5b1891cab8c5e77b56"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a3728e829fbe2fe5b1891cab8c5e77b56">WrittenNoteData::m_Paper</a></div><div class="ttdeci">protected ItemBase m_Paper</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00004">WrittenNoteData.c:4</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a3f0e5e28bf4859768a9f45c8cbcb82a4"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a3f0e5e28bf4859768a9f45c8cbcb82a4">WrittenNoteData::OnRPC</a></div><div class="ttdeci">void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00013">WrittenNoteData.c:13</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a63761925dbff66be5d551d8c980e51f8"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a63761925dbff66be5d551d8c980e51f8">WrittenNoteData::WrittenNoteData</a></div><div class="ttdeci">void WrittenNoteData(ItemBase parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00008">WrittenNoteData.c:8</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a7d3a4265a6da340e92178258307e1370"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a7d3a4265a6da340e92178258307e1370">WrittenNoteData::GetNoteText</a></div><div class="ttdeci">string GetNoteText()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00073">WrittenNoteData.c:73</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a9e65c58a8dfd3070c00724f98a9e389a"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a9e65c58a8dfd3070c00724f98a9e389a">WrittenNoteData::GetNoteInfo</a></div><div class="ttdeci">bool GetNoteInfo(out ItemBase pen, out ItemBase paper)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00065">WrittenNoteData.c:65</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_aae383a18044d275525914fc9c438d280"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#aae383a18044d275525914fc9c438d280">WrittenNoteData::m_WritingImplement</a></div><div class="ttdeci">protected ItemBase m_WritingImplement</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00003">WrittenNoteData.c:3</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_ab44943047753d4dade85ed925abe1c4a"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#ab44943047753d4dade85ed925abe1c4a">WrittenNoteData::m_SimpleText</a></div><div class="ttdeci">protected string m_SimpleText</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00006">WrittenNoteData.c:6</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_ad31077020a85d8fc302f7ee5335aedff"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#ad31077020a85d8fc302f7ee5335aedff">WrittenNoteData::SetNoteText</a></div><div class="ttdeci">void SetNoteText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00078">WrittenNoteData.c:78</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga939cca08ae6c7facc9293f2dbce3def5"><div class="ttname"><a href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Math::Clamp</a></div><div class="ttdeci">static proto float Clamp(float value, float min, float max)</div><div class="ttdoc">Clamps 'value' to 'min' if it is lower than 'min', or to 'max' if it is higher than 'max'.</div></div>
<div class="ttc" id="agroup___menu_i_d_html_gab4b187c0bd6713044c308f943e834330"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a></div><div class="ttdeci">const int MENU_NOTE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00164">constants.c:164</a></div></div>
<div class="ttc" id="agroup___strings_html_ga012b133f69754b6a99ba29ce5f11c348"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">string::Length</a></div><div class="ttdeci">proto native int Length()</div><div class="ttdoc">Returns length of string.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../df/df8/_written_note_data_8c.html">WrittenNoteData.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
